<?php

class OrderDepoExtHistory extends ObjectModel {
	public $id_order;
	public $id_place;
	public $number;
	public $cancelled;
	public $date_add;
	
	public $force_id = TRUE;
	
	public static $definition = [
		'table' => 'order_depo_ext_history',
		'primary' => 'id_order_depo_ext_history',
		'fields' => [
			'id_order' => ['type' => self::TYPE_INT],
			'id_place' => ['type' => self::TYPE_STRING],
			'number' => ['type' => self::TYPE_STRING, 'allow_null' => TRUE],
			'cancelled' => ['type' => self::TYPE_BOOL],
			'date_add' => ['type' => self::TYPE_DATE, 'validate' => 'isDate']
		]
	];

	public static function getByIdOrder($id_order) {
		/** @var DbQueryCore $sql */
		$sql = new DbQuery();
		$sql->select('*');
		$sql->from('order_depo_ext_history', 'odeh');
		$sql->where('odeh.id_order = '.intval($id_order));
		$sql->orderBy('odeh.date_add desc');
		return Db::getInstance()->executeS($sql);
	}
}