<div class="depo-wrapper js-depo-wrapper">
	<div class="alert alert-warning js-depo-alert" style="display: none">
		{l s='Select delivery place' mod='depocarrier'}
	</div>
	<div class="depo-location">
		{if $cart_depo_ext}
			{assign "selected_place" value=$locations[$cart_depo_ext->id_place]}
			<div class="alert alert-success">
				{l s='Selected delivery place:' mod='depocarrier'}
				{$selected_place->name}
			</div>
		{else}
		<div class="alert alert-info">{l s='No place selected' mod='depocarrier'}</div>
		{/if}
	</div>
	<input type="hidden" value="{if $cart_depo_ext}{$cart_depo_ext->id_place}{/if}" name="depo_place_id" class="js-depo-place-id"/>
	<div id="depo-modal-show" class="btn btn-primary">{l s='Select delivery place' mod='depocarrier'}</div>
	<br /><br />

	<!-- The Modal -->
	<div id="depo-modal" class="depo-modal">

		<div class="depo-modal-wrapper">
		<!-- Modal content -->
		<div class="depo-modal-content">
			<div class="mc-top">
				<div id="depo-title">
					{l s='DEPO carrier - výběr výdejního místa' mod='depocarrier'}
				</div>
				<span class="depo-modal-close">&times;</span>
			</div>
			<div class="mc-container clearfix">
				<div class="mc-item-left">
					<div class="pac-card" id="pac-card">
						<div>
							<input id="pac-input" type="text" hint="{l s='Zadejte adresu' mod='depocarrier'}">
						</div>
					</div>
					<div class="mc-places-wrapper">
						<div class="mc-places-overlay"></div>
						<div class="mc-places">
							{foreach $locations as $loc}
								{if $loc->is_output == 1}
									<div class="mcp-place">
										{$loc->name}
									</div>
								{/if}
							{/foreach}
						</div>
					</div>
				</div>
				<div class="mc-item-right">
					<div id="map"></div>
				</div>
			</div>
			<div class="clearfix"></div>
			<div class="mc-bottom">
				<div class="mcb-selected">{l s='Vybraná pobočka' mod='depocarrier'}</div>
				<button class="btn btn-success mc-done">{l s='Vybráno' mod='depocarrier'}</button>
			</div>

			<script>
			$(document).keydown(function(e) {
				if(e.which == 13) {
					return false;
				}
			});

			var depo_locations;
			var infoWindows = [];
			var markers = [];
			var pocet = 0;


			$.getJSON('/modules/depocarrier/temp/places.json', function(response){
				depo_locations = response;
			});


			function initMap() {
				var zoom = 7;
				var center = { lat: 48.89452, lng: 18.04436 };
				var map = new google.maps.Map(document.getElementById('map'), {
					zoom: zoom,
					center: center
				});
				var geocoder = new google.maps.Geocoder;
				var mcpoverlay = $('.mc-places-overlay');

				for (var k in depo_locations) {
					var depo_location = depo_locations[k];
					console.log(depo_location.id);

					if (depo_location.is_output === "1") {
						var pos = { lat: parseFloat(depo_location.latitude), lng: parseFloat(depo_location.longitude) };
						marker = new google.maps.Marker({
							position: pos,
							map: map,
							name: depo_location.name,
							id: depo_location.id
						});
						marker.setIcon('/modules/depocarrier/depopin.png');

						var content = "<b>" + depo_location.name + "</b><br>"
								+ depo_location.street + "<br><hr style='margin: 3px 0px;'>";

						for (j = 0; j < depo_location.open_hours.length; j++) {
							content += depo_location.open_hours[j].type;
							if (depo_location.open_hours[j].is_open) {
								content += " " + depo_location.open_hours[j].open_time + " - "
										+ depo_location.open_hours[j].close_time + "<br>";
							} else {
								content += " zatvorené<br>";
							}
						}

						var infowindow = new google.maps.InfoWindow();

						google.maps.event.addListener(marker,'click', (function(marker,content,infowindow){
							return function() {

								for (j = 0; j < markers.length; j++) {
									markers[j].setIcon('/modules/depocarrier/depopin.png');
									markers[j].active = null;
								}
								marker.setIcon('/modules/depocarrier/depopin_on.png');
								marker.active = 1;

								for (j = 0; j < infoWindows.length; j++) {
									infoWindows[j].close();
								}
								infowindow.setContent(content);
								infowindow.open(map,marker);

								map.setZoom(17);
								map.panTo(marker.position);

//******************************todo nastavení vybraného místa výdeje****************************************

								checkMarkersCount(map.getBounds());

								$('.depo-location').html('<div class="alert alert-success">' + marker['name'] + '</div>');
								$('.mcb-selected').html(marker['name']);
								mcpoverlay.hide();
								DEPO.set_place(marker.id);
							};
						})(marker,content,infowindow));

						infoWindows.push(infowindow);
						markers.push(marker);
					}
				}

				var markerCluster = new MarkerClusterer(map, markers,
				{ imagePath: 'https://developers.google.com/maps/documentation/javascript/examples/markerclusterer/m' });

				google.maps.event.addListener(markerCluster, 'clusterclick', function(cluster) {
					mcpoverlay.hide();
					checkMarkersCount(map.getBounds());
				});

				var input = document.getElementById('pac-input');
				var autocomplete = new google.maps.places.Autocomplete(input);
				autocomplete.bindTo('bounds', map);

				autocomplete.addListener('place_changed', function() {
					var place = autocomplete.getPlace();
					if (!place.geometry) {
						var firstResult = $(".pac-container .pac-item:first").text();
						geocoder.geocode({ "address":firstResult }, function(results, status) {
							if (status == google.maps.GeocoderStatus.OK) {
								var lat = results[0].geometry.location.lat(),
									lng = results[0].geometry.location.lng(),
									placeName = results[0].address_components[0].long_name,
									latlng = new google.maps.LatLng(lat, lng);

								map.setCenter(latlng);
								map.setZoom(14);
								checkMarkersCount(map.getBounds());
							}
						});
					} else {
						map.setCenter(place.geometry.location);
						map.setZoom(14);
					}

					// ve vyhledávaném okruhu musí být alespoň jeden marker
					checkMarkersCount(map.getBounds());
					while (pocet === 0) {
						map.setZoom(map.getZoom() - 1);
						checkMarkersCount(map.getBounds());
					}

					mcpoverlay.hide();

				});

				//zjištění jestli se v této poloze nachází nějaké výdejní body
				function checkMarkersCount(bounds) {
					pocet = 0;
					var ne = bounds.getNorthEast(); // LatLng of the north-east corner
					var sw = bounds.getSouthWest(); // LatLng of the south-west corder

					var mcPlaces = $('.mc-places');
					var mcpHtml = "";

					for (j = 0; j < markers.length; j++) {
						var markerLat = markers[j].getPosition().lat();
						var markerLng = markers[j].getPosition().lng();

						if (markerLat > sw.lat() && markerLat < ne.lat()
								&& markerLng > sw.lng() && markerLng < ne.lng()) {
							pocet++;
						}

						//vytvoření menu z blízkých poboček
						if (markerLat > (sw.lat() - 0.1) && markerLat < (ne.lat() + 0.1)
								&& markerLng > (sw.lng() - 0.1) && markerLng < (ne.lng() + 0.1)) {

							mcpHtml += "<a href='#' class='mcp-place ";
							mcpHtml += markers[j]['id'];
							if (markers[j]['active']) {
								mcpHtml += " alert-success";
							}
							mcpHtml += "'>" + markers[j]['name'] + "</a>";
							mcPlaces.html(mcpHtml);

							//kliknutí do menu
							$('.mcp-place').click(function() {
								var id_mcpp = this.classList[1];
								var marker_click = "";
								$('.mcp-place').removeClass('alert-success');
								for (k = 0; k < markers.length; k++) {
									markers[k].active = null;
									if (id_mcpp === markers[k].id) {
										marker_click = markers[k];
									}
								}
								if (marker_click !== "") {
									new google.maps.event.trigger(marker_click, 'click');
								}
								return false;
							});
						}
					}
				}

				var bounds = new google.maps.LatLngBounds();
				for (var i = 0; i < markers.length; i++) {
					bounds.extend(markers[i].getPosition());
				}
				map.fitBounds(bounds);
			}


			{*function GetCityName(latLng) {
				var latlng = { lat: parseFloat(latLng[0]), lng: parseFloat(latLng[1]) };
				var ret = "";
				geocoder.geocode({ 'location': latlng }, function(results, status) {
					if (status === 'OK') {
						if (results[0]) {
							ret = results[0].formatted_address;
						}
					}
				});
				return ret;
			}*}


			$(document).ready(function() {
				$(document).on('submit', 'form[name=carrier_area]', function(e){
					if ($(DEPO.options.place_input).val() == '') {
						$(DEPO.options.place_alert).slideDown(400);
						e.preventDefault();
						return false;
					}
					return true;
				});


				//depo js
				DEPO.init();

				var depoModal = $('#depo-modal');
				var depoModalBtn = $('#depo-modal-show');
				// tohle bude chtit zmenit! (kvuli jinym moznym modalum na strance
				var depoClose = $('.depo-modal-close');
				var mapInitialized = false;
				depoModalBtn.click(function () {
					depoModal.show();
					calculateHeight();
					$('.mc-places-overlay').show();
					$('#pac-input').focus();
					google.maps.event.trigger(map, "resize");
					if (!mapInitialized) {
						initMap();
						mapInitialized = true;
					}
				});

				depoClose.click(function () {
					depoModal.hide();
				});

				window.onclick = function (event) {
					if (event.target == depoModal) {
						depoModal.hide();
					}
				};

				$('.mc-done').click(function() {
					depoModal.hide();
					return false;
				});

				$(window).resize(function() {
					calculateHeight();
				});

			});


			function calculateHeight() {
				var map = $('#depo-modal #map');
				var mcPlaces = $('.mc-places');
				var mcTop = $('.mc-top');
				var mcBottom = $('.mc-bottom');
				var windowHeight = $(window).height();
				if (windowHeight > 400) {
					var newMapHeight = windowHeight - mcTop.height() - mcBottom.height() - 110;
				} else {
					var newMapHeight = windowHeight - mcTop.height() - mcBottom.height() - 67;
				}

				map.height(newMapHeight);
				mcPlaces.height(newMapHeight - 48);
			}
			</script>
		</div>
		</div>
	</div>
</div>